[-]
[+]
|
Changed |
bacula.spec
|
|
[-]
[+]
|
Added |
001-check-python26.diff
^
|
@@ -0,0 +1,73 @@
+--- bacula-2.4.3/configure.ori 2008-12-21 22:03:04.000000000 +0100
++++ bacula-2.4.3/configure 2008-12-21 22:20:11.000000000 +0100
+@@ -15620,37 +15620,45 @@
+ PYTHON_LIBS=
+ if test "$withval" != "no"; then
+ if test "$withval" = "yes"; then
+- for python_root in /usr /usr/local /usr/sfw; do
+- for ver in python2.2 python2.3 python2.4 python2.5; do
+- if test -f $python_root/include/${ver}/Python.h; then
+- PYTHON_INCDIR=-I$python_root/include/${ver}
+- if test -d $python_root/lib64/${ver}/config; then
+- PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
+- else
+- PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+- fi
+- break
+- fi
++ if [ -a /usr/bin/python-config ] ; then
++ PYTHON_INCDIR=`python-config --includes`
++ PYTHON_LIBS=`python-config --libs`
++ else
++ for python_root in /usr /usr/local /usr/sfw; do
++ for ver in python2.2 python2.3 python2.4 python2.5; do
++ if test -f $python_root/include/${ver}/Python.h; then
++ PYTHON_INCDIR=-I$python_root/include/${ver}
++ if test -d $python_root/lib64/${ver}/config; then
++ PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
++ else
++ PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
++ fi
++ break
++ fi
++ done
+ done
+- done
+- if test x$PYTHON_INCDIR = x; then
+- if test -f $prefix/include/Python.h; then
+- PYTHON_INCDIR=-I$prefix/include
+- if test -d $prefix/lib64/config; then
+- PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+- else
+- PYTHON_LIBS="-L$prefix/lib/config -lpython"
+- fi
+- else
+- { echo "$as_me:$LINENO: result: no" >&5
++ if test x$PYTHON_INCDIR = x; then
++ if test -f $prefix/include/Python.h; then
++ PYTHON_INCDIR=-I$prefix/include
++ if test -d $prefix/lib64/config; then
++ PYTHON_LIBS="-L$prefix/lib64/config -lpython"
++ else
++ PYTHON_LIBS="-L$prefix/lib/config -lpython"
++ fi
++ else
++ { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+- { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
++ { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
+ echo "$as_me: error: Unable to find Python.h in standard locations" >&2;}
+- { (exit 1); exit 1; }; }
++ { (exit 1); exit 1; }; }
++ fi
+ fi
+ fi
+ else
+- if test -f $withval/Python.h; then
++ if test -x $withval/bin/python-config ; then
++ PYTHON_INCDIR=`python-config --includes`
++ PYTHON_LIBS=`python-config --libs`
++ elif test -f $withval/Python.h; then
+ PYTHON_INCDIR=-I$withval
+ PYTHON_LIBS="-L$withval/config -lpython"
+ elif test -f $withval/include/Python.h; then
|
[-]
[+]
|
Added |
bacula-dir.fw
^
|
@@ -0,0 +1,4 @@
+## Description: Bacula Director
+
+# space separated list of allowed TCP ports
+TCP="9101"
|
[-]
[+]
|
Added |
bacula-dir.init
^
|
@@ -0,0 +1,88 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+### BEGIN INIT INFO
+# Provides: bacula-dir
+# Required-Start: $local_fs $remote_fs $network mysql
+# Required-Stop: $local_fs $remote_fs $network mysql
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula director
+# Description: Bacula network backup system director daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_FD_BIN=/usr/sbin/bacula-dir
+test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula Director daemon"
+ startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-dir.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula Director daemon"
+
+ killproc -TERM $BACULA_FD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula Director daemon"
+ checkproc $BACULA_FD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|
[-]
[+]
|
Added |
bacula-fd.fw
^
|
@@ -0,0 +1,4 @@
+## Description: Bacula File Daemon
+
+# space separated list of allowed TCP ports
+TCP="9102"
|
[-]
[+]
|
Added |
bacula-fd.init
^
|
@@ -0,0 +1,89 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+
+### BEGIN INIT INFO
+# Provides: bacula-fd
+# Required-Start: $local_fs $remote_fs $network
+# Required-Stop: $local_fs $remote_fs $network
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula file daemon
+# Description: Bacula network backup system file daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_FD_BIN=/usr/sbin/bacula-fd
+test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula File daemon"
+ startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-fd.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula File daemon"
+
+ killproc -TERM $BACULA_FD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula File daemon"
+ checkproc $BACULA_FD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|
[-]
[+]
|
Added |
bacula-sd.fw
^
|
@@ -0,0 +1,4 @@
+## Description: Bacula Storage Daemon
+
+# space separated list of allowed TCP ports
+TCP="9103"
|
[-]
[+]
|
Added |
bacula-sd.init
^
|
@@ -0,0 +1,88 @@
+#! /bin/sh
+
+# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+
+### BEGIN INIT INFO
+# Provides: bacula-sd
+# Required-Start: $local_fs $remote_fs $network
+# Required-Stop: $local_fs $remote_fs $network
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: bacula storage daemon
+# Description: Bacula network backup system storage daemon
+### END INIT INFO
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num><num>
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+. /etc/rc.status
+
+BACULA_SD_BIN=/usr/sbin/bacula-sd
+test -x $BACULA_SD_BIN || { echo "$BACULA_SD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+
+case "$1" in
+ start)
+ echo -n "Starting the Bacula Storage daemon"
+ startproc -q $BACULA_SD_BIN -c /etc/bacula/bacula-sd.conf
+
+ rc_status -v
+ ;;
+
+
+ stop)
+ echo -n "Shutting down the Bacula Storage daemon"
+
+ killproc -TERM $BACULA_SD_BIN
+
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset
+ fi
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+
+ rc_status
+ ;;
+ force-reload)
+
+ $0 try-restart
+ rc_status
+ ;;
+ reload)
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service the Bacula Storage daemon"
+ checkproc $BACULA_SD_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
+
|
[-]
[+]
|
Deleted |
bacula.spec244
^
|
@@ -1,2878 +0,0 @@
-# Bacula RPM spec file
-# Copyright (C) 2000-2008 Kern Sibbald
-
-# Platform Build Configuration
-
-# basic defines for every build
-%define _version 2.4.4
-%define _release 1
-%define depkgs_version 11Sep08
-%define _rescuever 2.4.4
-%define docs_version 2.4.4
-
-# any patches for this release
-# be sure to check the setup section for patch macros
-
-#--------------------------------------------------------------------------
-# it should not be necessary to change anything below here for a release
-# except for patch macros in the setup section
-#--------------------------------------------------------------------------
-
-%define single_dir 0
-%{?single_dir_install:%define single_dir 1}
-%if %{single_dir}
-%define _prefix /opt/bacula
-%else
-%define _prefix /usr
-%endif
-
-Summary: Bacula - The Network Backup Solution
-Name: bacula
-Version: %{_version}
-Release: %{_release}
-Group: System Environment/Daemons
-License: GPL v2
-Source0: http://www.prdownloads.sourceforge.net/bacula/%{name}-%{version}.tar.gz
-Source1: http://www.prdownloads.sourceforge.net/bacula/depkgs-%{depkgs_version}.tar.gz
-Source2: Release_Notes-%{version}-%{release}.tar.gz
-Source3: http://www.prdownloads.sourceforge.net/bacula/%{name}-docs-%{docs_version}.tar.gz
-Source4: http://www.prdownloads.sourceforge.net/bacula/%{name}-rescue-%{_rescuever}.tar.gz
-Source5: bacula-2.2.7-postgresql.patch
-BuildRoot: %{_tmppath}/%{name}-root
-URL: http://www.bacula.org/
-Prefix: %{_prefix}
-
-# define the basic package description
-%define blurb Bacula - It comes by night and sucks the vital essence from your computers.
-%define blurb2 Bacula is a set of computer programs that permit you (or the system
-%define blurb3 administrator) to manage backup, recovery, and verification of computer
-%define blurb4 data across a network of computers of different kinds. In technical terms,
-%define blurb5 it is a network client/server based backup program. Bacula is relatively
-%define blurb6 easy to use and efficient, while offering many advanced storage management
-%define blurb7 features that make it easy to find and recover lost or damaged files.
-%define blurb8 Bacula source code has been released under the GPL version 2 license.
-
-# source directory locations
-%define _docsrc ../%{name}-docs-%{docs_version}
-%define _rescuesrc ../%{name}-rescue-%{_rescuever}
-%define depkgs ../depkgs
-
-# directory locations
-%if %{single_dir}
-%define _sbindir /opt/bacula
-%define _subsysdir /opt/bacula/working
-%define sqlite_bindir /opt/bacula/sqlite
-%define _mandir /usr/share/man
-%define sysconf_dir /opt/bacula
-%define script_dir /opt/bacula/scripts
-%define working_dir /opt/bacula/working
-%define pid_dir /opt/bacula/working
-%else
-%define _sbindir %_prefix/sbin
-%define _subsysdir /var/lock/subsys
-%define sqlite_bindir %_libdir/bacula/sqlite
-%define _mandir %_prefix/share/man
-%define sysconf_dir /etc/bacula
-%define script_dir %_libdir/bacula
-%define working_dir /var/lib/bacula
-%define pid_dir /var/run
-%endif
-
-# NOTE these defines are used in some rather complex useradd and groupadd
-# commands. If you change them examine the post scripts for consequences.
-%define director_daemon_user bacula
-%define storage_daemon_user bacula
-%define file_daemon_user root
-%define daemon_group bacula
-# group that has write access to tape devices, usually disk on Linux
-%define storage_daemon_group disk
-%define user_file /etc/passwd
-%define group_file /etc/group
-
-# program locations
-%define useradd /usr/sbin/useradd
-%define groupadd /usr/sbin/groupadd
-%define usermod /usr/sbin/usermod
-
-# platform defines - set one below or define the build_xxx on the command line
-# RedHat builds
-%define rh7 0
-%{?build_rh7:%define rh7 1}
-%define rh8 0
-%{?build_rh8:%define rh8 1}
-%define rh9 0
-%{?build_rh9:%define rh9 1}
-# Fedora Core build
-%define fc1 0
-%{?build_fc1:%define fc1 1}
-%define fc3 0
-%{?build_fc3:%define fc3 1}
-%define fc4 0
-%{?build_fc4:%define fc4 1}
-%define fc5 0
-%{?build_fc5:%define fc5 1}
-%define fc6 0
-%{?build_fc6:%define fc6 1}
-%define fc7 0
-%{?build_fc7:%define fc7 1}
-%define fc8 0
-%{?build_fc8:%define fc8 1}
-%define fc9 0
-%{?build_fc9:%define fc9 1}
-# Whitebox Enterprise build
-%define wb3 0
-%{?build_wb3:%define wb3 1}
-# RedHat Enterprise builds
-%define rhel3 0
-%{?build_rhel3:%define rhel3 1}
-%{?build_rhel3:%define wb3 1}
-%define rhel4 0
-%{?build_rhel4:%define rhel4 1}
-%{?build_rhel4:%define fc3 1}
-%define rhel5 0
-%{?build_rhel5:%define rhel5 1}
-%{?build_rhel5:%define fc6 1}
-# CentOS build
-%define centos3 0
-%{?build_centos3:%define centos3 1}
-%{?build_centos3:%define wb3 1}
-%define centos4 0
-%{?build_centos4:%define centos4 1}
-%{?build_centos4:%define fc3 1}
-%define centos5 0
-%{?build_centos5:%define centos5 1}
-%{?build_centos5:%define fc6 1}
-# SL build
-%define sl3 0
-%{?build_sl3:%define sl3 1}
-%{?build_sl3:%define wb3 1}
-%define sl4 0
-%{?build_sl4:%define sl4 1}
-%{?build_sl4:%define fc3 1}
-%define sl5 0
-%{?build_sl5:%define sl5 1}
-%{?build_sl5:%define fc6 1}
-# SuSE build
-%define su9 0
-%{?build_su9:%define su9 1}
-%define su10 0
-%{?build_su10:%define su10 1}
-%define su102 0
-%{?build_su102:%define su102 1}
-%define su103 0
-%{?build_su103:%define su103 1}
-%define su110 0
-%{?build_su110:%define su110 1}
-%define su111 0
-%{?build_su111:%define su111 1}
-# Mandrake builds
-%define mdk 0
-%{?build_mdk:%define mdk 1}
-%define mdv 0
-%{?build_mdv:%define mdv 1}
-%{?build_mdv:%define mdk 1}
-
-# client only build
-%define client_only 0
-%{?build_client_only:%define client_only 1}
-
-# test for a platform definition
-%if !%{rh7} && !%{rh8} && !%{rh9} && !%{fc1} && !%{fc3} && !%{fc4} && !%{fc5} && !%{fc6} && !%{fc7} && !%{fc8} && !%{fc9} && !%{wb3} && !%{su9} && !%{su10} && !%{su102} && !%{su103} && !%{su110} && !%{su111} && !%{mdk}
-%{error: You must specify a platform. Please examine the spec file.}
-exit 1
-%endif
-
-# database defines
-# set for database support desired or define the build_xxx on the command line
-%define mysql 0
-%{?build_mysql:%define mysql 1}
-# if using mysql 4.x define this and mysql above
-# currently: Mandrake 10.1, SuSE 9.x & 10.0, RHEL4 and Fedora Core 4
-%define mysql4 0
-%{?build_mysql4:%define mysql4 1}
-%{?build_mysql4:%define mysql 1}
-# if using mysql 5.x define this and mysql above
-# currently: SuSE 10.1 and Fedora Core 5
-%define mysql5 0
-%{?build_mysql5:%define mysql5 1}
-%{?build_mysql5:%define mysql 1}
-%define sqlite 0
|